Subject: bug#45200: [PATCH] Force Glibc to free the memory freed

From: martin rudalics <[email-masked]>
Date: Wed, 3 Feb 2021 12:06:14 +0100

>> What I meant was if people really disabled GC for the rest of their
 >> session and got away with it.  But that was only a rhetorical question
 >> to which the answer is clearly no.
 >
 > I'm not sure where you got this answer from. The first link I referred to has a
 > user which does exactly that, and it is a highly upvoted question with 4k views.

If the first link refers to

1: https://emacs.stackexchange.com/questions/34342/is-there-any-downside-to-setting-gc-cons-threshold-very-high-and-collecting-ga

then

(setq gc-cons-threshold (eval-when-compile (* 1024 1024 1024)))
(run-with-idle-timer 2 t (lambda () (garbage-collect)))

obviously means that this author does GC as soon as Emacs is idle.

 > To me that seem to imply the answer is "yes".

Not to me.

martin